[Pvfs2-cvs] commit by slang in pvfs2: Makefile.in configure
configure.in pvfs2-config.h.in acconfig.h
CVS commit program
cvs at parl.clemson.edu
Thu Oct 19 18:16:34 EDT 2006
Update of /projects/cvsroot/pvfs2
In directory parlweb1:/tmp/cvs-serv5758
Modified Files:
Tag: WALT3
Makefile.in configure configure.in pvfs2-config.h.in
Removed Files:
Tag: WALT3
acconfig.h
Log Message:
reverse merge of HEAD to WALT3 branch.
Index: Makefile.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/Makefile.in,v
diff -p -u -r1.216.4.1 -r1.216.4.2
--- Makefile.in 18 Sep 2006 15:04:53 -0000 1.216.4.1
+++ Makefile.in 19 Oct 2006 22:16:31 -0000 1.216.4.2
@@ -142,7 +142,9 @@ CC = @CC@
LD = @CC@
BUILD_CC = @BUILD_CC@
BUILD_LD = @BUILD_CC@
-CFLAGS = @CFLAGS@
+
+# make sure the srcdir include gets included first
+CFLAGS = -I$(srcdir)/include @CFLAGS@
LDFLAGS = -L @BUILD_ABSOLUTE_TOP@/lib
LDFLAGS += @LDFLAGS@
SERVER_LDFLAGS = -L @BUILD_ABSOLUTE_TOP@/lib
@@ -151,6 +153,7 @@ DB_CFLAGS = @DB_CFLAGS@
LDSHARED = $(CC) -shared
PICFLAGS = -fPIC
LIBS += -lpvfs2 @LIBS@
+LIBS_THREADED += -lpvfs2-threaded @LIBS@
MMAP_RA_CACHE = @MMAP_RA_CACHE@
TRUSTED_CONNECTIONS = @TRUSTED_CONNECTIONS@
REDHAT_RELEASE = @REDHAT_RELEASE@
@@ -168,8 +171,8 @@ CFLAGS += -D__STATIC_FLOWPROTO_MULTIQUEU
CFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
# include current directory (for pvfs2-config.h)
CFLAGS += -I .
- # setup general warning levels and gcc options
-CFLAGS += -I $(srcdir)/include -I include -I $(srcdir)
+ # include toplevel source dir
+CFLAGS += -I $(srcdir)
# add selected include directories
CFLAGS += $(patsubst %,-I$(srcdir)/%,$(INCLUDES))
# add package version information
@@ -272,8 +275,9 @@ endif
#
# run ./configure --help for information on how to do this cleanly.
LIBCFLAGS=@LIBCFLAGS@ -D__PVFS2_CLIENT__
-LIBTHREADEDCFLAGS=-D__GEN_POSIX_LOCKING__ -D__PVFS2_JOB_THREADED__
+LIBTHREADEDCFLAGS=-D__GEN_POSIX_LOCKING__ -D__PVFS2_JOB_THREADED__ -D__PVFS2_CLIENT__
LIBS += @THREAD_LIB@
+LIBS_THREADED += @THREAD_LIB@
################################################################
# enable GM if configure detected it
@@ -287,6 +291,7 @@ ifdef BUILD_GM
LDFLAGS += -L @GM_HOME@/lib
SERVER_LDFLAGS += -L @GM_HOME@/lib
LIBS += -lgm
+ LIBS_THREADED += -lgm
SERVERLIBS += -lgm
endif
@@ -308,6 +313,7 @@ ifndef BUILD_IB
endif
OPENIBLIBS := -L at OPENIB_LIBDIR@ -libverbs
LIBS += $(OPENIBLIBS)
+ LIBS_THREADED += $(OPENIBLIBS)
SERVERLIBS += $(OPENIBLIBS)
endif
@@ -362,6 +368,8 @@ VISMISCSRC :=
KARMASRC :=
# userland helper programs for kernel drivers
KERNAPPSRC :=
+#
+KERNAPPSTHRSRC :=
# MISCSRC are sources that don't fall into the other categories
MISCSRC :=
# c files generated from state machines
@@ -388,6 +396,8 @@ endif
ifeq ($(build_static),yes)
LIBRARIES_STATIC = lib/libpvfs2.a
LIBRARIES += $(LIBRARIES_STATIC)
+LIBRARIES_THREADED_STATIC = lib/libpvfs2-threaded.a
+LIBRARIES_THREADED += $(LIBRARIES_THREADED_STATIC)
endif
################################################################
@@ -453,6 +463,8 @@ KERNAPPS := $(patsubst %.c,%, $(filter %
# objects
KERNAPPDEPENDS := $(patsubst %.c,%.d, $(filter %.c,$(KERNAPPSRC)))
+KERNAPPSTHR := $(patsubst %.c,%-threaded, $(filter %.c, $(KERNAPPSTHRSRC)))
+
# VISOBJS is a list of visualization program objects
VISOBJS := $(patsubst %.c,%.o, $(filter %.c,$(VISSRC)))
# VISS is a list of visualization program executables
@@ -497,13 +509,13 @@ DEPENDS := $(sort $(LIBDEPENDS) $(SERVER
# Rules and dependencies
# default rule builds server, library, and applications
-all:: $(SERVER) $(KARMA) $(LIBRARIES) admintools $(VISS) $(KARMA)
+all:: $(SERVER) $(KARMA) $(LIBRARIES) $(LIBRARIES_THREADED) admintools $(VISS) $(KARMA)
# target for building admin tools
admintools: $(ADMINTOOLS) $(ADMINTOOLS_SERVER)
# target for building kernel driver userland programs
-kernapps: $(KERNAPPS)
+kernapps: $(KERNAPPS) $(KERNAPPSTHR)
# Build linux-2.6 kernel module if requested.
# Can't use the actual file target since we don't know how to figure out
@@ -551,7 +563,7 @@ $(SERVER): src/server/pvfs2-server-serve
# special rules for admin tool objects which also require server components
$(ADMINOBJS_SERVER): %.o: %.c
$(Q) " CC $@"
- $(E) $(CC) $(SERVERCFLAGS) $(CFLAGS) $(call modcflags,$<) $< -c -o $@
+ $(E) $(CC) $(CFLAGS) $(SERVERCFLAGS) $(call modcflags,$<) $< -c -o $@
# special rules for admin tools which also require server components
$(ADMINTOOLS_SERVER): %: %.o
@@ -603,15 +615,19 @@ $(VISS): %: %.o $(VISMISCOBJS) $(LIBRARI
$(Q) " LD $@"
$(E)$(LD) -o $@ $(LDFLAGS) $< $(LIBS) $(call modldflags,$<)
+%-threaded: %.o $(LIBRARIES)
+ $(Q) " LD $@"
+ $(E)$(LD) -o $@ $(LDFLAGS) $< $(LIBS_THREADED) $(call modldflags,$<)
+
# rule for building server objects
%-server.o: %.c
$(Q) " CC $@"
- $(E)$(CC) $(SERVERCFLAGS) $(CFLAGS) $(call modcflags,$<) $< -c -o $@
+ $(E)$(CC) $(CFLAGS) $(SERVERCFLAGS) $(call modcflags,$<) $< -c -o $@
# default rule for building objects for threaded library
%-threaded.o: %.c
$(Q) " CC $@"
- $(E)$(CC) $(LIBTHREADEDCFLAGS) $(CFLAGS) $(call modcflags,$<) $< -c -o $@
+ $(E)$(CC) $(LIBTHREADEDCFLAGS) $(LIBCFLAGS) $(CFLAGS) $(call modcflags,$<) $< -c -o $@
# rule for building shared objects for threaded library
%-threaded.po: %.c
@@ -641,7 +657,7 @@ $(VISS): %: %.o $(VISMISCOBJS) $(LIBRARI
.PHONY: FORCE
%-server.i: %.c FORCE
$(Q) " CPP $@"
- $(E)$(CC) $(SERVERCFLAGS) $(CFLAGS) $(call modcflags,$<) $< -E -o $@
+ $(E)$(CC) $(CFLAGS) $(SERVERCFLAGS) $(call modcflags,$<) $< -E -o $@
%.i: %.c FORCE
$(Q) " CPP $@"
@@ -736,7 +752,7 @@ cleaner: clean
rm -rf autom4te*.cache
rm -f $(srcdir)/cscope.out $(srcdir)/cscope.files
rm -f config.log config.status config.cache
- rm -f pvfs2- at PVFS2_VERSION@.tar.gz
+ rm -f pvfs- at PVFS2_VERSION@.tar.gz
# _really_ clean the tree; should go back to pristine state
# except, don't remove generated .c files if this is a distributed release
Index: configure
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure,v
diff -p -u -r1.301.2.1 -r1.301.2.2
--- configure 18 Sep 2006 15:04:53 -0000 1.301.2.1
+++ configure 19 Oct 2006 22:16:31 -0000 1.301.2.2
@@ -866,7 +866,6 @@ Optional Features:
(epoll is enabled by default, this option
ensures no checking is done for x-compiling)
--disable-epoll Disable epoll, use poll instead
- --enable-rev-hostname Enables hostname resolution in BMI reverse lookups
--enable-segv-backtrace Enables back traces in segfault signal handler
--enable-shared Build shared client library
--enable-static-server Builds the server static
@@ -1368,9 +1367,9 @@ ac_configure="$SHELL $ac_aux_dir/configu
CONFIGURE_TIME=`date -u +"%Y-%m-%d-%H%M%S"`
-PVFS2_MAJOR=1
-PVFS2_MINOR=5
-PVFS2_SUB=1
+PVFS2_MAJOR=2
+PVFS2_MINOR=6
+PVFS2_SUB=0
#PVFS2_PRE=""
PVFS2_PRE="pre1-$CONFIGURE_TIME"
@@ -5884,6 +5883,7 @@ else
echo "$as_me:$LINENO: checking for openssl library" >&5
echo $ECHO_N "checking for openssl library... $ECHO_C" >&6
+ TMPLIBS=${LIBS}
LIBS="$LIBS -lcrypt -lssl"
cat >conftest.$ac_ext <<_ACEOF
@@ -5970,8 +5970,11 @@ else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-{ echo "$as_me:$LINENO: WARNING: No openssl headers found." >&5
+
+ { echo "$as_me:$LINENO: WARNING: No openssl headers found." >&5
echo "$as_me: WARNING: No openssl headers found." >&2;}
+ LIBS=${TMPLIBS}
+
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
@@ -7536,8 +7539,8 @@ _ACEOF
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: checking for parent_ino in kernel" >&5
-echo $ECHO_N "checking for parent_ino in kernel... $ECHO_C" >&6
+ echo "$as_me:$LINENO: checking for iget_locked function in kernel" >&5
+echo $ECHO_N "checking for iget_locked function in kernel... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -7547,9 +7550,9 @@ cat >>conftest.$ac_ext <<_ACEOF
#define __KERNEL__
#include <linux/fs.h>
- ino_t parent_ino(struct dentry *dentry)
+ loff_t iget_locked(struct inode *inode)
{
- return (ino_t)0;
+ return 0;
}
int
@@ -7592,12 +7595,196 @@ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
cat >>confdefs.h <<\_ACEOF
-#define HAVE_PARENT_INO 1
+#define HAVE_IGET_LOCKED 1
_ACEOF
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ echo "$as_me:$LINENO: checking for iget4_locked function in kernel" >&5
+echo $ECHO_N "checking for iget4_locked function in kernel... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/fs.h>
+ loff_t iget4_locked(struct inode *inode)
+ {
+ return 0;
+ }
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_IGET4_LOCKED 1
+_ACEOF
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ echo "$as_me:$LINENO: checking for iget5_locked function in kernel" >&5
+echo $ECHO_N "checking for iget5_locked function in kernel... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/fs.h>
+ loff_t iget5_locked(struct inode *inode)
+ {
+ return 0;
+ }
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_IGET5_LOCKED 1
+_ACEOF
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ echo "$as_me:$LINENO: checking for struct xtvec in kernel" >&5
+echo $ECHO_N "checking for struct xtvec in kernel... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/uio.h>
+ static struct xtvec xv = { 0, 0 };
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STRUCT_XTVEC 1
+_ACEOF
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
echo "$as_me:$LINENO: checking for memory_backed in struct backing_dev_info in kernel" >&5
echo $ECHO_N "checking for memory_backed in struct backing_dev_info in kernel... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
@@ -9258,6 +9445,69 @@ fi
done
+ echo "$as_me:$LINENO: checking for generic_file_readv api in kernel" >&5
+echo $ECHO_N "checking for generic_file_readv api in kernel... $ECHO_C" >&6
+
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/fs.h>
+ int generic_file_readv(struct inode *inode)
+ {
+ return 0;
+ }
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GENERIC_FILE_READV 1
+_ACEOF
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
echo "$as_me:$LINENO: checking for generic_permission api in kernel" >&5
echo $ECHO_N "checking for generic_permission api in kernel... $ECHO_C" >&6
@@ -10036,13 +10286,6 @@ if test "${enable_epoll+set}" = set; the
else
test_for_epoll
-
-fi;
-
-# Check whether --enable-rev-hostname or --disable-rev-hostname was given.
-if test "${enable_rev_hostname+set}" = set; then
- enableval="$enable_rev_hostname"
- CFLAGS="$CFLAGS -D__PVFS2_BMI_REV_LOOKUP_HOSTNAME__"
fi;
Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure.in,v
diff -p -u -r1.300.2.1 -r1.300.2.2
--- configure.in 18 Sep 2006 15:04:55 -0000 1.300.2.1
+++ configure.in 19 Oct 2006 22:16:34 -0000 1.300.2.2
@@ -16,9 +16,9 @@ dnl
dnl PVFS2 versioning information.
dnl An @ in the date string can confuse e.g. scp and 'make kmod'
CONFIGURE_TIME=`date -u +"%Y-%m-%d-%H%M%S"`
-PVFS2_MAJOR=1
-PVFS2_MINOR=5
-PVFS2_SUB=1
+PVFS2_MAJOR=2
+PVFS2_MINOR=6
+PVFS2_SUB=0
#PVFS2_PRE=""
PVFS2_PRE="pre1-$CONFIGURE_TIME"
@@ -571,12 +571,6 @@ AC_ARG_ENABLE(epoll,
[
test_for_epoll
])
-
-dnl enable resolving addresses all the way to hostnames in bmi reverse lookup
-AC_ARG_ENABLE(rev-hostname,
-[ --enable-rev-hostname Enables hostname resolution in BMI reverse lookups],
-CFLAGS="$CFLAGS -D__PVFS2_BMI_REV_LOOKUP_HOSTNAME__"
-,)
dnl enables a hack to print back traces out of segfault signal handler
AC_ARG_ENABLE(segv-backtrace,
Index: pvfs2-config.h.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/pvfs2-config.h.in,v
diff -p -u -r1.74.2.1 -r1.74.2.2
--- pvfs2-config.h.in 18 Sep 2006 15:04:55 -0000 1.74.2.1
+++ pvfs2-config.h.in 19 Oct 2006 22:16:34 -0000 1.74.2.2
@@ -1,12 +1,5 @@
/* pvfs2-config.h.in. Generated from configure.in by autoheader. */
-/* Define to explicitly use GNU extensions */
-#undef _GNU_SOURCE
-
-/* Define if you have the GNU extended strnlen function */
-#undef HAVE_STRNLEN
-
-
/* Define if berkeley db error reporting was enabled */
#undef BERKDB_ERROR_REPORTING
@@ -71,6 +64,9 @@
/* Define to 1 if you have the <fstab.h> header file. */
#undef HAVE_FSTAB_H
+/* Define if kernel has generic_file_readv */
+#undef HAVE_GENERIC_FILE_READV
+
/* Define if kernel has generic_getxattr */
#undef HAVE_GENERIC_GETXATTR
@@ -104,6 +100,15 @@
/* Define if IB wrap_common.h exists. */
#undef HAVE_IB_WRAP_COMMON_H
+/* Define if kernel has iget4_locked */
+#undef HAVE_IGET4_LOCKED
+
+/* Define if kernel has iget5_locked */
+#undef HAVE_IGET5_LOCKED
+
+/* Define if kernel has iget_locked */
+#undef HAVE_IGET_LOCKED
+
/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H
@@ -171,9 +176,6 @@
/* Define if Pablo library is used */
#undef HAVE_PABLO
-/* Define if kernel has parent_ino */
-#undef HAVE_PARENT_INO
-
/* Define if sysctl proc handlers have 6th argument */
#undef HAVE_PROC_HANDLER_SIX_ARG
@@ -227,6 +229,9 @@
/* Define to 1 if you have the `strtoull' function. */
#undef HAVE_STRTOULL
+
+/* Define if struct xtvec is defined in the kernel */
+#undef HAVE_STRUCT_XTVEC
/* Define if sysinfo.h is present */
#undef HAVE_SYSINFO
--- acconfig.h 2006-10-19 18:16:36.000000000 -0400
+++ /dev/null 2004-06-24 14:04:38.000000000 -0400
@@ -1,7 +0,0 @@
-
-/* Define to explicitly use GNU extensions */
-#undef _GNU_SOURCE
-
-/* Define if you have the GNU extended strnlen function */
-#undef HAVE_STRNLEN
-
More information about the Pvfs2-cvs
mailing list